%bcond_without check

%global goipath         github.com/franela/goblin
Version:                0.0.3
%global tag             0.0.3

%gometa

%global common_description %{expand:
A Mocha like BDD testing framework written in Go that requires no additional
dependencies. Requires no extensive documentation nor complicated steps to get
it running.}

%global golicenses      LICENSE
%global godocs          README.md

Name:           %{goname}
Release:    1%{?dist}
Summary:        Minimal and beautiful Go testing framework

License:        MIT
URL:            %{gourl}
Source0:        %{gosource}

%description
%{common_description}

%gopkg

%prep
%goprep

%install
%gopkginstall

%if %{with check}
%check
%gocheck
%endif

%gopkgfiles

%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - -1
- initial build
